Bug 227968 - [exp-run] Update lang/ghc to 8.4.2, devel/stack to 1.7.1, and all the */hs-* ports
Summary: [exp-run] Update lang/ghc to 8.4.2, devel/stack to 1.7.1, and all the */hs-* ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias C. Berner
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-05-04 09:57 UTC by Gleb Popov
Modified: 2018-05-26 08:13 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (haskell)
antoine: exp-run+


Attachments
Patch (420.35 KB, patch)
2018-05-04 09:57 UTC, Gleb Popov
no flags Details | Diff
Patch generated by svn (426.42 KB, patch)
2018-05-07 14:34 UTC, Gleb Popov
no flags Details | Diff
Patch (416.68 KB, patch)
2018-05-07 14:59 UTC, Gleb Popov
no flags Details | Diff
Patch (426.06 KB, patch)
2018-05-08 07:44 UTC, Gleb Popov
no flags Details | Diff
Patch (430.20 KB, patch)
2018-05-09 09:03 UTC, Gleb Popov
no flags Details | Diff
Patch (428.82 KB, patch)
2018-05-25 11:09 UTC, Gleb Popov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2018-05-04 09:57:37 UTC
Created attachment 193041 [details]
Patch

Phabricator revision https://reviews.freebsd.org/D15005
Comment 1 mikael.urankar 2018-05-04 10:32:05 UTC
Hi,

Can you have a look at bug #196899?
Comment 2 Antoine Brodin freebsd_committer 2018-05-07 14:01:51 UTC
Can you provide a patch that can be applied with patch or svn patch ?
There are problems with the moved/copied ports.
Comment 3 Gleb Popov freebsd_committer 2018-05-07 14:34:41 UTC
Created attachment 193146 [details]
Patch generated by svn
Comment 4 Gleb Popov freebsd_committer 2018-05-07 14:59:26 UTC
Created attachment 193147 [details]
Patch

This patch was generated by git, but with compatability mode and renames detection turned off. Hope this one would work.
Comment 5 Gleb Popov freebsd_committer 2018-05-08 07:44:06 UTC
Created attachment 193172 [details]
Patch

I've missed textproc/cgrep, as it wasn't following hs-* naming convention and haven't used USE_CABAL=.

Updated the port, fixed missing entries in category/Makefile's, regenrated patch in the format suitable for svn, checked that `pou bulk -a` starts successfully.

Hopefully this is ready to be exp-run'ed now.
Comment 7 Gleb Popov freebsd_committer 2018-05-09 09:03:01 UTC
Created attachment 193200 [details]
Patch

Fixed.
Comment 8 Ed Maste freebsd_committer 2018-05-09 10:42:16 UTC
There's a typo in the lang/ghc configure.ac patch which you might as well fix while changing it:

++	    # FreeBSD does not support mmap with MAP_NORESERVE,r emoved in 
---------------------------------------------------------------^^
Comment 9 Antoine Brodin freebsd_committer 2018-05-11 11:52:28 UTC
Exp-run looks fine.
Note that it still failed with head with ld=ld.lld from a few days ago..
Comment 10 Ed Maste freebsd_committer 2018-05-11 13:50:23 UTC
(In reply to Antoine Brodin from comment #9)
> Note that it still failed with head with ld=ld.lld from a few days ago..

Depending on when "a few days ago" is that is to be expected. The lld fix went in on Wednesday in r333401.
Comment 11 Ed Maste freebsd_committer 2018-05-23 19:11:44 UTC
Is this ready to be committed now?
Comment 12 Tobias C. Berner freebsd_committer 2018-05-23 21:26:48 UTC
(In reply to Ed Maste from comment #11)
Technically, yes :) -- do you need something changed?
Comment 13 Ed Maste freebsd_committer 2018-05-23 21:28:38 UTC
(In reply to Tobias C. Berner from comment #12)
No, just curious what it's waiting on.

I am waiting for this change to go in before requesting the lld-as-ld exp-run be run again and then switching to WITH_LLD_IS_LD.
Comment 14 Gleb Popov freebsd_committer 2018-05-25 11:09:56 UTC
Created attachment 193683 [details]
Patch

Most recent "svn patch"-compatible diff.
Comment 15 commit-hook freebsd_committer 2018-05-25 21:45:17 UTC
A commit references this bug:

Author: tcberner
Date: Fri May 25 21:44:27 UTC 2018
New revision: 470870
URL: https://svnweb.freebsd.org/changeset/ports/470870

Log:
  Update lang/ghc 8.4.2 and the hs-* ports the newer versions

  * Update lang/ghc to 8.4.2
  * Update the boostrap compiler to 8.4.1
  * Update the many hs-* ports
  * Bump the rest

  Thanks a lot to arrowd for doing all the heavy lifting :)

  PR:		227968
  Exp-run by:	antoine
  Submitted by:	arrowd
  Differential Revision:	https://reviews.freebsd.org/D15005

Changes:
  head/MOVED
  head/archivers/hs-tar/Makefile
  head/archivers/hs-tar/distinfo
  head/archivers/hs-zip-archive/Makefile
  head/archivers/hs-zip-archive/distinfo
  head/archivers/hs-zlib/Makefile
  head/archivers/hs-zlib-bindings/Makefile
  head/archivers/hs-zlib-enum/Makefile
  head/audio/hs-ALUT/Makefile
  head/audio/hs-OpenAL/Makefile
  head/audio/hs-libmpd/Makefile
  head/audio/hs-libmpd/distinfo
  head/benchmarks/hs-criterion/Makefile
  head/benchmarks/hs-criterion/distinfo
  head/converters/hs-aeson/Makefile
  head/converters/hs-aeson/distinfo
  head/converters/hs-aeson-compat/Makefile
  head/converters/hs-aeson-compat/distinfo
  head/converters/hs-aeson-compat/files/patch-aeson-compat.cabal
  head/converters/hs-aeson-pretty/Makefile
  head/converters/hs-aeson-pretty/distinfo
  head/converters/hs-dataenc/Makefile
  head/converters/hs-json/Makefile
  head/converters/hs-json/distinfo
  head/converters/hs-sandi/Makefile
  head/converters/hs-sandi/distinfo
  head/databases/hs-esqueleto/Makefile
  head/databases/hs-hedis/Makefile
  head/databases/hs-hedis/distinfo
  head/databases/hs-mysql/Makefile
  head/databases/hs-mysql/distinfo
  head/databases/hs-persistent/Makefile
  head/databases/hs-persistent/distinfo
  head/databases/hs-persistent-sqlite/Makefile
  head/databases/hs-persistent-sqlite/distinfo
  head/databases/hs-persistent-template/Makefile
  head/databases/hs-persistent-template/distinfo
  head/databases/hs-persistent-template/files/patch-persistent-template.cabal
  head/deskutils/hs-fdo-notify/Makefile
  head/devel/Makefile
  head/devel/hs-BNFC/
  head/devel/hs-Boolean/Makefile
  head/devel/hs-BoundedChan/Makefile
  head/devel/hs-ConfigFile/Makefile
  head/devel/hs-DrIFT/
  head/devel/hs-EdisonAPI/Makefile
  head/devel/hs-EdisonCore/Makefile
  head/devel/hs-EdisonCore/distinfo
  head/devel/hs-Glob/Makefile
  head/devel/hs-HUnit/Makefile
  head/devel/hs-IfElse/Makefile
  head/devel/hs-List/Makefile
  head/devel/hs-List/distinfo
  head/devel/hs-ListLike/Makefile
  head/devel/hs-ListLike/distinfo
  head/devel/hs-MemoTrie/Makefile
  head/devel/hs-MemoTrie/distinfo
  head/devel/hs-MissingH/Makefile
  head/devel/hs-MonadRandom/Makefile
  head/devel/hs-ObjectName/Makefile
  head/devel/hs-Only/Makefile
  head/devel/hs-PSQueue/Makefile
  head/devel/hs-PSQueue/files/
  head/devel/hs-PSQueue/files/patch-Data_PSQueue.hs
  head/devel/hs-QuickCheck/Makefile
  head/devel/hs-ReadArgs/Makefile
  head/devel/hs-STMonadTrans/Makefile
  head/devel/hs-SafeSemaphore/Makefile
  head/devel/hs-ShellCheck/Makefile
  head/devel/hs-StateVar/Makefile
  head/devel/hs-Stream/Makefile
  head/devel/hs-TypeCompose/Makefile
  head/devel/hs-abstract-deque/Makefile
  head/devel/hs-abstract-par/Makefile
  head/devel/hs-activehs-base/Makefile
  head/devel/hs-activehs-base/files/patch-activehs-base.cabal
  head/devel/hs-alex/Makefile
  head/devel/hs-ansi-terminal/Makefile
  head/devel/hs-ansi-terminal/distinfo
  head/devel/hs-ansi-wl-pprint/Makefile
  head/devel/hs-ansi-wl-pprint/distinfo
  head/devel/hs-arrows/Makefile
  head/devel/hs-arrows/distinfo
  head/devel/hs-asn1-data/Makefile
  head/devel/hs-asn1-encoding/Makefile
  head/devel/hs-asn1-parse/Makefile
  head/devel/hs-asn1-types/Makefile
  head/devel/hs-async/Makefile
  head/devel/hs-async/distinfo
  head/devel/hs-atomic-primops/Makefile
  head/devel/hs-atomic-primops/distinfo
  head/devel/hs-auto-update/Makefile
  head/devel/hs-base-compat/Makefile
  head/devel/hs-base-compat/distinfo
  head/devel/hs-base-compat-batteries/
  head/devel/hs-base-compat-batteries/Makefile
  head/devel/hs-base-compat-batteries/distinfo
  head/devel/hs-base-compat-batteries/pkg-descr
  head/devel/hs-base-orphans/Makefile
  head/devel/hs-base-unicode-symbols/Makefile
  head/devel/hs-base16-bytestring/Makefile
  head/devel/hs-base64-bytestring/Makefile
  head/devel/hs-basement/
  head/devel/hs-basement/Makefile
  head/devel/hs-basement/distinfo
  head/devel/hs-basement/pkg-descr
  head/devel/hs-basic-prelude/Makefile
  head/devel/hs-basic-prelude/distinfo
  head/devel/hs-bifunctors/Makefile
  head/devel/hs-bifunctors/distinfo
  head/devel/hs-bifunctors/files/
  head/devel/hs-bifunctors/files/patch-bifunctors.cabal
  head/devel/hs-bits-atomic/Makefile
  head/devel/hs-blaze-builder/Makefile
  head/devel/hs-blaze-builder/distinfo
  head/devel/hs-blaze-builder-enumerator/Makefile
  head/devel/hs-blaze-textual/Makefile
  head/devel/hs-bloomfilter/Makefile
  head/devel/hs-boxes/Makefile
  head/devel/hs-boxes/distinfo
  head/devel/hs-bsd-sysctl/Makefile
  head/devel/hs-byteable/Makefile
  head/devel/hs-byteorder/Makefile
  head/devel/hs-bytestring-lexing/Makefile
  head/devel/hs-bytestring-mmap/Makefile
  head/devel/hs-bytestring-nums/Makefile
  head/devel/hs-bytestring-show/Makefile
  head/devel/hs-c2hs/Makefile
  head/devel/hs-cabal-install/Makefile
  head/devel/hs-cabal-install/distinfo
  head/devel/hs-call-stack/Makefile
  head/devel/hs-cereal/Makefile
  head/devel/hs-cereal/distinfo
  head/devel/hs-checkers/Makefile
  head/devel/hs-chunked-data/Makefile
  head/devel/hs-chunked-data/distinfo
  head/devel/hs-classy-prelude/Makefile
  head/devel/hs-classy-prelude/distinfo
  head/devel/hs-classy-prelude-conduit/Makefile
  head/devel/hs-classy-prelude-conduit/distinfo
  head/devel/hs-clock/Makefile
  head/devel/hs-cmdargs/Makefile
  head/devel/hs-cmdargs/distinfo
  head/devel/hs-code-page/Makefile
  head/devel/hs-colour/Makefile
  head/devel/hs-colour/distinfo
  head/devel/hs-concurrent-output/Makefile
  head/devel/hs-concurrent-output/distinfo
  head/devel/hs-concurrent-output/files/
  head/devel/hs-conduit/Makefile
  head/devel/hs-conduit/distinfo
  head/devel/hs-conduit-combinators/Makefile
  head/devel/hs-conduit-combinators/distinfo
  head/devel/hs-conduit-extra/Makefile
  head/devel/hs-conduit-extra/distinfo
  head/devel/hs-configurator/Makefile
  head/devel/hs-constraints/Makefile
  head/devel/hs-constraints/distinfo
  head/devel/hs-convertible/Makefile
  head/devel/hs-cpphs/Makefile
  head/devel/hs-darcs/Makefile
  head/devel/hs-darcs/distinfo
  head/devel/hs-darcs/files/patch-darcs.cabal
  head/devel/hs-data-default/Makefile
  head/devel/hs-data-default-class/Makefile
  head/devel/hs-data-default-instances-base/Makefile
  head/devel/hs-data-default-instances-containers/Makefile
  head/devel/hs-data-default-instances-dlist/Makefile
  head/devel/hs-data-default-instances-old-locale/Makefile
  head/devel/hs-data-endian/Makefile
  head/devel/hs-data-hash/Makefile
  head/devel/hs-data-ordlist/Makefile
  head/devel/hs-data-pprint/files/patch-Data_PPrint.hs
  head/devel/hs-data-pprint/files/patch-data-pprint.cabal
  head/devel/hs-date-cache/Makefile
  head/devel/hs-datetime/Makefile
  head/devel/hs-dbus/Makefile
  head/devel/hs-dbus/distinfo
  head/devel/hs-deepseq-generics/Makefile
  head/devel/hs-deepseq-generics/files/
  head/devel/hs-deepseq-generics/files/patch-deepseq-generics.cabal
  head/devel/hs-directory-tree/Makefile
  head/devel/hs-dlist/Makefile
  head/devel/hs-dlist-instances/Makefile
  head/devel/hs-easy-file/Makefile
  head/devel/hs-echo/
  head/devel/hs-echo/Makefile
  head/devel/hs-echo/distinfo
  head/devel/hs-echo/files/
  head/devel/hs-echo/files/patch-echo.cabal
  head/devel/hs-echo/pkg-descr
  head/devel/hs-edit-distance/Makefile
  head/devel/hs-either/Makefile
  head/devel/hs-either/distinfo
  head/devel/hs-either/files/
  head/devel/hs-enclosed-exceptions/Makefile
  head/devel/hs-enumerator/Makefile
  head/devel/hs-equivalence/Makefile
  head/devel/hs-errors/Makefile
  head/devel/hs-errors/distinfo
  head/devel/hs-exceptions/Makefile
  head/devel/hs-exceptions/distinfo
  head/devel/hs-extensible-exceptions/Makefile
  head/devel/hs-extra/Makefile
  head/devel/hs-extra/distinfo
  head/devel/hs-fast-logger/Makefile
  head/devel/hs-fast-logger/distinfo
  head/devel/hs-fgl/Makefile
  head/devel/hs-file-embed/Makefile
  head/devel/hs-filemanip/Makefile
  head/devel/hs-filestore/Makefile
  head/devel/hs-filestore/distinfo
  head/devel/hs-fmlist/Makefile
  head/devel/hs-fmlist/distinfo
  head/devel/hs-foundation/Makefile
  head/devel/hs-foundation/distinfo
  head/devel/hs-free/Makefile
  head/devel/hs-free/distinfo
  head/devel/hs-free/files/
  head/devel/hs-free/files/patch-free.cabal
  head/devel/hs-fsnotify/Makefile
  head/devel/hs-fsnotify/distinfo
  head/devel/hs-gconf/Makefile
  head/devel/hs-generic-deriving/Makefile
  head/devel/hs-generic-deriving/distinfo
  head/devel/hs-generic-deriving/files/
  head/devel/hs-generic-deriving/files/patch-generic-deriving.cabal
  head/devel/hs-geniplate-mirror/Makefile
  head/devel/hs-geniplate-mirror/distinfo
  head/devel/hs-ghc-events/Makefile
  head/devel/hs-ghc-events/distinfo
  head/devel/hs-ghc-mtl/Makefile
  head/devel/hs-ghc-paths/Makefile
  head/devel/hs-gio/Makefile
  head/devel/hs-git-annex/Makefile
  head/devel/hs-gitrev/Makefile
  head/devel/hs-glib/Makefile
  head/devel/hs-glib/distinfo
  head/devel/hs-gtk2hs-buildtools/Makefile
  head/devel/hs-gtk2hs-buildtools/distinfo
  head/devel/hs-gtk2hs-buildtools/files/patch-c2hs_c_CPretty.hs
  head/devel/hs-gtk2hs-buildtools/files/patch-gtk2hs-buildtools.cabal
  head/devel/hs-haddock/Makefile
  head/devel/hs-haddock/distinfo
  head/devel/hs-haddock-api/Makefile
  head/devel/hs-haddock-api/distinfo
  head/devel/hs-haddock-library/Makefile
  head/devel/hs-haddock-library/distinfo
  head/devel/hs-haddock-library/files/
  head/devel/hs-haddock-library/files/patch-haddock-library.cabal
  head/devel/hs-happy/Makefile
  head/devel/hs-hashable/Makefile
  head/devel/hs-hashable/distinfo
  head/devel/hs-hashed-storage/Makefile
  head/devel/hs-hashtables/Makefile
  head/devel/hs-hashtables/distinfo
  head/devel/hs-haskell-lexer/Makefile
  head/devel/hs-haskell-src/Makefile
  head/devel/hs-haskell-src/distinfo
  head/devel/hs-haskell-src-exts/Makefile
  head/devel/hs-haskell-src-exts/distinfo
  head/devel/hs-haskell-src-meta/
  head/devel/hs-haskell-src-meta/Makefile
  head/devel/hs-haskell-src-meta/distinfo
  head/devel/hs-haskell-src-meta/files/
  head/devel/hs-haskell-src-meta/files/patch-haskell-src-meta.cabal
  head/devel/hs-haskell-src-meta/pkg-descr
  head/devel/hs-hasktags/Makefile
  head/devel/hs-hastache/
  head/devel/hs-hex/Makefile
  head/devel/hs-hinotify/Makefile
  head/devel/hs-hinotify/distinfo
  head/devel/hs-hint/Makefile
  head/devel/hs-hlibev/Makefile
  head/devel/hs-hlint/Makefile
  head/devel/hs-hoogle/Makefile
  head/devel/hs-hoogle/distinfo
  head/devel/hs-hourglass/Makefile
  head/devel/hs-hourglass/distinfo
  head/devel/hs-hsb2hs/Makefile
  head/devel/hs-hslogger/Makefile
  head/devel/hs-hslua/Makefile
  head/devel/hs-hslua/distinfo
  head/devel/hs-hslua/files/
  head/devel/hs-hslua/files/patch-hslua.cabal
  head/devel/hs-hslua-module-text/
  head/devel/hs-hslua-module-text/Makefile
  head/devel/hs-hslua-module-text/distinfo
  head/devel/hs-hslua-module-text/files/
  head/devel/hs-hslua-module-text/files/patch-hslua-module-text.cabal
  head/devel/hs-hslua-module-text/pkg-descr
  head/devel/hs-hspec/Makefile
  head/devel/hs-hspec/distinfo
  head/devel/hs-hspec-core/Makefile
  head/devel/hs-hspec-core/distinfo
  head/devel/hs-hspec-discover/Makefile
  head/devel/hs-hspec-discover/distinfo
  head/devel/hs-hspec-expectations/Makefile
  head/devel/hs-io-streams/Makefile
  head/devel/hs-io-streams/distinfo
  head/devel/hs-io-streams/files/patch-io-streams.cabal
  head/devel/hs-io-streams-haproxy/Makefile
  head/devel/hs-io-streams-haproxy/distinfo
  head/devel/hs-io-streams-haproxy/files/patch-io-streams-haproxy.cabal
  head/devel/hs-js-flot/Makefile
  head/devel/hs-js-jquery/Makefile
  head/devel/hs-keys/Makefile
  head/devel/hs-keys/distinfo
  head/devel/hs-kqueue/files/patch-kqueue.cabal
  head/devel/hs-language-c/Makefile
  head/devel/hs-language-c/distinfo
  head/devel/hs-language-javascript/Makefile
  head/devel/hs-language-javascript/distinfo
  head/devel/hs-largeword/Makefile
  head/devel/hs-lazysmallcheck/Makefile
  head/devel/hs-lens/Makefile
  head/devel/hs-lens/distinfo
  head/devel/hs-lifted-async/Makefile
  head/devel/hs-lifted-async/distinfo
  head/devel/hs-lifted-base/Makefile
  head/devel/hs-logict/Makefile
  head/devel/hs-map-syntax/Makefile
  head/devel/hs-map-syntax/distinfo
  head/devel/hs-memory/Makefile
  head/devel/hs-memory/distinfo
  head/devel/hs-microlens/Makefile
  head/devel/hs-microlens/distinfo
  head/devel/hs-microlens-th/Makefile
  head/devel/hs-microlens-th/distinfo
  head/devel/hs-microstache/Makefile
  head/devel/hs-microstache/distinfo
  head/devel/hs-microstache/files/
  head/devel/hs-microstache/files/patch-microstache.cabal
  head/devel/hs-mmap/Makefile
  head/devel/hs-mmorph/Makefile
  head/devel/hs-monad-control/Makefile
  head/devel/hs-monad-logger/Makefile
  head/devel/hs-monad-logger/distinfo
  head/devel/hs-monad-loops/Makefile
  head/devel/hs-monad-par/Makefile
  head/devel/hs-monad-par-extras/Makefile
  head/devel/hs-monad-unlift/Makefile
  head/devel/hs-monadplus/
  head/devel/hs-monads-tf/Makefile
  head/devel/hs-mono-traversable/Makefile
  head/devel/hs-mono-traversable/distinfo
  head/devel/hs-mono-traversable-instances/Makefile
  head/devel/hs-mtl/Makefile
  head/devel/hs-mueval/Makefile
  head/devel/hs-murmur-hash/Makefile
  head/devel/hs-mutable-containers/Makefile
  head/devel/hs-ncurses/Makefile
  head/devel/hs-newtype/Makefile
  head/devel/hs-newtype-generics/Makefile
  head/devel/hs-newtype-generics/distinfo
  head/devel/hs-old-locale/Makefile
  head/devel/hs-old-locale/files/patch-git_15fea2d
  head/devel/hs-old-time/Makefile
  head/devel/hs-old-time/files/patch-git_82790af
  head/devel/hs-optparse-applicative/Makefile
  head/devel/hs-parallel/files/
  head/devel/hs-parallel/files/patch-parallel.cabal
  head/devel/hs-pcre-light/Makefile
  head/devel/hs-prelude-extras/Makefile
  head/devel/hs-preprocessor-tools/Makefile
  head/devel/hs-prettyclass/Makefile
  head/devel/hs-primitive/Makefile
  head/devel/hs-primitive/distinfo
  head/devel/hs-process-extras/Makefile
  head/devel/hs-process-extras/distinfo
  head/devel/hs-profunctors/Makefile
  head/devel/hs-profunctors/distinfo
  head/devel/hs-profunctors/files/
  head/devel/hs-project-template/Makefile
  head/devel/hs-project-template/distinfo
  head/devel/hs-psqueues/Makefile
  head/devel/hs-psqueues/distinfo
  head/devel/hs-quickcheck-io/Makefile
  head/devel/hs-random/Makefile
  head/devel/hs-readable/Makefile
  head/devel/hs-readline/Makefile
  head/devel/hs-refact/Makefile
  head/devel/hs-reflection/Makefile
  head/devel/hs-reflection/distinfo
  head/devel/hs-resource-pool/Makefile
  head/devel/hs-resourcet/Makefile
  head/devel/hs-resourcet/distinfo
  head/devel/hs-safe/Makefile
  head/devel/hs-safe-exceptions/Makefile
  head/devel/hs-safe-exceptions/distinfo
  head/devel/hs-safe-exceptions/files/
  head/devel/hs-safe-exceptions/files/patch-safe-exceptions.cabal
  head/devel/hs-say/Makefile
  head/devel/hs-scientific/Makefile
  head/devel/hs-scientific/distinfo
  head/devel/hs-securemem/Makefile
  head/devel/hs-securemem/distinfo
  head/devel/hs-setenv/Makefile
  head/devel/hs-setlocale/Makefile
  head/devel/hs-setlocale/distinfo
  head/devel/hs-shake/Makefile
  head/devel/hs-shake/distinfo
  head/devel/hs-show/Makefile
  head/devel/hs-silently/Makefile
  head/devel/hs-simple-reflect/Makefile
  head/devel/hs-simple-reflect/distinfo
  head/devel/hs-smallcheck/Makefile
  head/devel/hs-split/Makefile
  head/devel/hs-split/distinfo
  head/devel/hs-stm/
  head/devel/hs-stm-chans/Makefile
  head/devel/hs-storable-record/
  head/devel/hs-storable-record/Makefile
  head/devel/hs-storable-record/distinfo
  head/devel/hs-storable-record/pkg-descr
  head/devel/hs-storable-tuple/
  head/devel/hs-storable-tuple/Makefile
  head/devel/hs-storable-tuple/distinfo
  head/devel/hs-storable-tuple/pkg-descr
  head/devel/hs-streaming-commons/Makefile
  head/devel/hs-streaming-commons/distinfo
  head/devel/hs-strict/Makefile
  head/devel/hs-syb/Makefile
  head/devel/hs-syb-with-class/Makefile
  head/devel/hs-syb-with-class/distinfo
  head/devel/hs-system-fileio/Makefile
  head/devel/hs-system-filepath/Makefile
  head/devel/hs-system-filepath/distinfo
  head/devel/hs-tagged/Makefile
  head/devel/hs-tagged/files/patch-tagged.cabal
  head/devel/hs-temporary/Makefile
  head/devel/hs-terminal-size/Makefile
  head/devel/hs-test-framework/Makefile
  head/devel/hs-test-framework/distinfo
  head/devel/hs-test-framework/files/
  head/devel/hs-test-framework-hunit/Makefile
  head/devel/hs-test-framework-quickcheck2/Makefile
  head/devel/hs-text/
  head/devel/hs-text-icu/Makefile
  head/devel/hs-text-short/Makefile
  head/devel/hs-text-short/distinfo
  head/devel/hs-tf-random/Makefile
  head/devel/hs-th-abstraction/Makefile
  head/devel/hs-th-abstraction/distinfo
  head/devel/hs-th-abstraction/files/
  head/devel/hs-th-abstraction/files/patch-th-abstraction.cabal
  head/devel/hs-th-expand-syns/
  head/devel/hs-th-expand-syns/Makefile
  head/devel/hs-th-expand-syns/distinfo
  head/devel/hs-th-expand-syns/pkg-descr
  head/devel/hs-th-lift/Makefile
  head/devel/hs-th-lift/distinfo
  head/devel/hs-th-lift-instances/Makefile
  head/devel/hs-th-orphans/
  head/devel/hs-th-orphans/Makefile
  head/devel/hs-th-orphans/distinfo
  head/devel/hs-th-orphans/pkg-descr
  head/devel/hs-th-reify-many/
  head/devel/hs-th-reify-many/Makefile
  head/devel/hs-th-reify-many/distinfo
  head/devel/hs-th-reify-many/pkg-descr
  head/devel/hs-threads/Makefile
  head/devel/hs-threads/distinfo
  head/devel/hs-threadscope/Makefile
  head/devel/hs-time-compat/Makefile
  head/devel/hs-time-locale-compat/Makefile
  head/devel/hs-timezone-olson/Makefile
  head/devel/hs-timezone-olson/distinfo
  head/devel/hs-timezone-series/Makefile
  head/devel/hs-transformers-base/Makefile
  head/devel/hs-transformers-compat/Makefile
  head/devel/hs-typed-process/Makefile
  head/devel/hs-typed-process/distinfo
  head/devel/hs-unamb/Makefile
  head/devel/hs-unexceptionalio/Makefile
  head/devel/hs-unicode-show/
  head/devel/hs-unicode-show/Makefile
  head/devel/hs-unicode-show/distinfo
  head/devel/hs-unicode-show/pkg-descr
  head/devel/hs-uniplate/Makefile
  head/devel/hs-unix-compat/Makefile
  head/devel/hs-unix-time/Makefile
  head/devel/hs-unix-time/distinfo
  head/devel/hs-unliftio/
  head/devel/hs-unliftio/Makefile
  head/devel/hs-unliftio/distinfo
  head/devel/hs-unliftio/pkg-descr
  head/devel/hs-unliftio-core/
  head/devel/hs-unliftio-core/Makefile
  head/devel/hs-unliftio-core/distinfo
  head/devel/hs-unliftio-core/files/
  head/devel/hs-unliftio-core/files/patch-unliftio-core.cabal
  head/devel/hs-unliftio-core/pkg-descr
  head/devel/hs-unordered-containers/Makefile
  head/devel/hs-unordered-containers/distinfo
  head/devel/hs-utf8-light/Makefile
  head/devel/hs-utf8-string/Makefile
  head/devel/hs-utility-ht/Makefile
  head/devel/hs-uuagc/Makefile
  head/devel/hs-uuagc-bootstrap/Makefile
  head/devel/hs-uuagc-cabal/Makefile
  head/devel/hs-uuagc-cabal/distinfo
  head/devel/hs-uuid/Makefile
  head/devel/hs-uuid/files/
  head/devel/hs-uuid/files/patch-uuid.cabal
  head/devel/hs-uuid-types/Makefile
  head/devel/hs-uulib/Makefile
  head/devel/hs-uulib/distinfo
  head/devel/hs-uulib/files/
  head/devel/hs-uulib/files/patch-src_UU_PPrint.hs
  head/devel/hs-vault/Makefile
  head/devel/hs-vault/distinfo
  head/devel/hs-vector/files/
  head/devel/hs-vector/files/patch-vector.cabal
  head/devel/hs-vector-algorithms/Makefile
  head/devel/hs-vector-binary-instances/Makefile
  head/devel/hs-vector-binary-instances/distinfo
  head/devel/hs-vector-binary-instances/files/
  head/devel/hs-vector-binary-instances/files/patch-vector-binary-instances.cabal
  head/devel/hs-vector-instances/Makefile
  head/devel/hs-vector-th-unbox/Makefile
  head/devel/hs-void/Makefile
  head/devel/hs-wl-pprint-text/Makefile
  head/devel/hs-wl-pprint-text/distinfo
  head/devel/hs-word8/Makefile
  head/devel/stack/Makefile
  head/devel/stack/distinfo
  head/dns/hs-dns/Makefile
  head/dns/hs-dns/distinfo
  head/dns/hs-dns/files/
  head/dns/hs-gnuidn/Makefile
  head/ftp/hs-curl/Makefile
  head/games/hs-scroll/Makefile
  head/games/hs-scroll/distinfo
  head/graphics/Makefile
  head/graphics/hs-HGL/
  head/graphics/hs-JuicyPixels/Makefile
  head/graphics/hs-JuicyPixels/distinfo
  head/graphics/hs-cairo/Makefile
  head/graphics/hs-cairo/distinfo
  head/graphics/hs-dia-base/Makefile
  head/graphics/hs-dia-base/files/
  head/graphics/hs-dia-base/files/patch-dia-base.cabal
  head/graphics/hs-dia-functions/Makefile
  head/graphics/hs-graphviz/Makefile
  head/graphics/hs-svgcairo/Makefile
  head/lang/ghc/Makefile
  head/lang/ghc/bsd.cabal.options.mk
  head/lang/ghc/bsd.hackage.mk
  head/lang/ghc/distinfo
  head/lang/ghc/files/patch-compiler_main_SysTools.hs
  head/lang/ghc/files/patch-configure.ac
  head/lang/ghc/files/patch-ghc.mk
  head/lang/ghc/files/patch-includes_rts_storage_ClosureMacros.h
  head/lang/ghc/files/patch-libraries_Cabal_Cabal_Distribution_Simple_GHC.hs
  head/lang/ghc/files/patch-libraries__Cabal__Cabal__Distribution__Simple__Program__Builtin.hs
  head/lang/ghc/files/patch-rts_Linker.c
  head/lang/hs-brainfuck/Makefile
  head/lang/hs-unlambda/Makefile
  head/mail/hs-email-validate/Makefile
  head/mail/hs-email-validate/distinfo
  head/mail/hs-mime/Makefile
  head/mail/hs-mime-mail/Makefile
  head/mail/hs-mime-mail/distinfo
  head/mail/hs-mime-types/Makefile
  head/math/hs-Agda/Makefile
  head/math/hs-Agda-stdlib/Makefile
  head/math/hs-NumInstances/Makefile
  head/math/hs-adjunctions/Makefile
  head/math/hs-adjunctions/distinfo
  head/math/hs-categories/Makefile
  head/math/hs-comonad/Makefile
  head/math/hs-comonad/distinfo
  head/math/hs-contravariant/Makefile
  head/math/hs-data-lens/Makefile
  head/math/hs-data-lens-template/files/
  head/math/hs-data-lens-template/files/patch-data-lens-template.cabal
  head/math/hs-distributive/Makefile
  head/math/hs-distributive/distinfo
  head/math/hs-erf/Makefile
  head/math/hs-fixed/Makefile
  head/math/hs-half/Makefile
  head/math/hs-ieee754/Makefile
  head/math/hs-integer-logarithms/Makefile
  head/math/hs-integer-logarithms/distinfo
  head/math/hs-kan-extensions/Makefile
  head/math/hs-kan-extensions/distinfo
  head/math/hs-kan-extensions/files/patch-kan-extensions.cabal
  head/math/hs-math-functions/Makefile
  head/math/hs-mwc-random/Makefile
  head/math/hs-pointed/Makefile
  head/math/hs-probability/Makefile
  head/math/hs-semigroupoids/Makefile
  head/math/hs-semigroupoids/distinfo
  head/math/hs-semigroups/Makefile
  head/math/hs-semigroups/distinfo
  head/math/hs-statistics/Makefile
  head/math/hs-vector-space/Makefile
  head/math/hs-vector-space/distinfo
  head/net/Makefile
  head/net/hs-aws/Makefile
  head/net/hs-aws/distinfo
  head/net/hs-aws/files/
  head/net/hs-bsb-http-chunked/
  head/net/hs-bsb-http-chunked/Makefile
  head/net/hs-bsb-http-chunked/distinfo
  head/net/hs-bsb-http-chunked/files/
  head/net/hs-bsb-http-chunked/files/patch-bsb-http-chunked.cabal
  head/net/hs-bsb-http-chunked/pkg-descr
  head/net/hs-connection/Makefile
  head/net/hs-gsasl/Makefile
  head/net/hs-hoauth2/Makefile
  head/net/hs-hoauth2/distinfo
  head/net/hs-hoauth2/files/patch-hoauth2.cabal
  head/net/hs-hostname/Makefile
  head/net/hs-iproute/Makefile
  head/net/hs-maccatcher/Makefile
  head/net/hs-network/Makefile
  head/net/hs-network-info/Makefile
  head/net/hs-network-multicast/Makefile
  head/net/hs-network-protocol-xmpp/Makefile
  head/net/hs-network-uri/Makefile
  head/net/hs-pcap/Makefile
  head/net/hs-publicsuffixlist/Makefile
  head/net/hs-resolv/
  head/net/hs-resolv/Makefile
  head/net/hs-resolv/distinfo
  head/net/hs-resolv/files/
  head/net/hs-resolv/files/patch-resolv.cabal
  head/net/hs-resolv/pkg-descr
  head/net/hs-sendfile/Makefile
  head/net/hs-simple-sendfile/Makefile
  head/net/hs-socks/Makefile
  head/net-im/hs-haskell-xmpp/Makefile
  head/net-p2p/hs-torrent/Makefile
  head/ports-mgmt/hs-porte/Makefile
  head/print/hs-hscolour/Makefile
  head/print/hs-hscolour/distinfo
  head/science/Makefile
  head/science/hs-bio/
  head/security/Makefile
  head/security/hs-Crypto/Makefile
  head/security/hs-DRBG/Makefile
  head/security/hs-HsOpenSSL/Makefile
  head/security/hs-HsOpenSSL/distinfo
  head/security/hs-RSA/Makefile
  head/security/hs-SHA/Makefile
  head/security/hs-certificate/Makefile
  head/security/hs-cipher-aes/Makefile
  head/security/hs-cipher-aes128/Makefile
  head/security/hs-cipher-blowfish/Makefile
  head/security/hs-cipher-camellia/Makefile
  head/security/hs-cipher-des/Makefile
  head/security/hs-cipher-rc4/Makefile
  head/security/hs-clientsession/Makefile
  head/security/hs-cprng-aes/Makefile
  head/security/hs-crypto-api/Makefile
  head/security/hs-crypto-cipher-types/Makefile
  head/security/hs-crypto-conduit/files/patch-crypto-conduit.cabal
  head/security/hs-crypto-numbers/Makefile
  head/security/hs-crypto-pubkey/Makefile
  head/security/hs-crypto-pubkey-types/Makefile
  head/security/hs-crypto-random/Makefile
  head/security/hs-crypto-random-api/Makefile
  head/security/hs-cryptocipher/Makefile
  head/security/hs-cryptohash/Makefile
  head/security/hs-cryptohash-conduit/Makefile
  head/security/hs-cryptohash-cryptoapi/Makefile
  head/security/hs-cryptohash-md5/Makefile
  head/security/hs-cryptohash-md5/files/
  head/security/hs-cryptohash-md5/files/patch-cryptohash-md5.cabal
  head/security/hs-cryptohash-sha1/Makefile
  head/security/hs-cryptohash-sha1/files/
  head/security/hs-cryptohash-sha1/files/patch-cryptohash-sha1.cabal
  head/security/hs-cryptohash-sha256/Makefile
  head/security/hs-cryptohash-sha256/distinfo
  head/security/hs-cryptohash-sha256/files/
  head/security/hs-cryptohash-sha256/files/patch-cryptohash-sha256.cabal
  head/security/hs-cryptonite/Makefile
  head/security/hs-cryptonite-conduit/
  head/security/hs-cryptonite-conduit/Makefile
  head/security/hs-cryptonite-conduit/distinfo
  head/security/hs-cryptonite-conduit/pkg-descr
  head/security/hs-digest/Makefile
  head/security/hs-ed25519/Makefile
  head/security/hs-entropy/Makefile
  head/security/hs-gnutls/Makefile
  head/security/hs-hackage-security/Makefile
  head/security/hs-hackage-security/distinfo
  head/security/hs-hackage-security/files/
  head/security/hs-monadcryptorandom/Makefile
  head/security/hs-monadcryptorandom/distinfo
  head/security/hs-nonce/Makefile
  head/security/hs-nonce/distinfo
  head/security/hs-pem/Makefile
  head/security/hs-pureMD5/Makefile
  head/security/hs-pwstore-fast/Makefile
  head/security/hs-skein/Makefile
  head/security/hs-tls/Makefile
  head/security/hs-tls/distinfo
  head/security/hs-tls-session-manager/Makefile
  head/security/hs-x509/Makefile
  head/security/hs-x509/distinfo
  head/security/hs-x509-store/Makefile
  head/security/hs-x509-store/distinfo
  head/security/hs-x509-system/Makefile
  head/security/hs-x509-system/distinfo
  head/security/hs-x509-validation/Makefile
  head/security/hs-x509-validation/distinfo
  head/shells/hs-shelly/Makefile
  head/shells/hs-shelly/distinfo
  head/sysutils/hs-angel/Makefile
  head/sysutils/hs-cpu/Makefile
  head/sysutils/hs-disk-free-space/Makefile
  head/sysutils/hs-ekg/Makefile
  head/sysutils/hs-ekg/distinfo
  head/sysutils/hs-ekg/files/
  head/sysutils/hs-ekg/files/patch-ekg.cabal
  head/sysutils/hs-ekg-core/Makefile
  head/sysutils/hs-ekg-core/distinfo
  head/sysutils/hs-ekg-core/files/
  head/sysutils/hs-ekg-core/files/patch-ekg-core.cabal
  head/sysutils/hs-ekg-json/Makefile
  head/sysutils/hs-ekg-json/distinfo
  head/sysutils/hs-ekg-json/files/
  head/sysutils/hs-ekg-json/files/patch-ekg-json.cabal
  head/sysutils/hs-mountpoints/Makefile
  head/textproc/Makefile
  head/textproc/cgrep/Makefile
  head/textproc/cgrep/distinfo
  head/textproc/cgrep/files/
  head/textproc/cgrep/pkg-plist
  head/textproc/hs-Diff/Makefile
  head/textproc/hs-HStringTemplate/Makefile
  head/textproc/hs-HStringTemplate/distinfo
  head/textproc/hs-HaXml/Makefile
  head/textproc/hs-appar/Makefile
  head/textproc/hs-attoparsec/Makefile
  head/textproc/hs-attoparsec/distinfo
  head/textproc/hs-attoparsec-enumerator/Makefile
  head/textproc/hs-attoparsec-iso8601/Makefile
  head/textproc/hs-attoparsec-iso8601/files/
  head/textproc/hs-attoparsec-iso8601/files/patch-attoparsec-iso8601.cabal
  head/textproc/hs-bencode/Makefile
  head/textproc/hs-blaze-html/Makefile
  head/textproc/hs-blaze-markup/Makefile
  head/textproc/hs-blaze-markup/distinfo
  head/textproc/hs-bytestring-csv/Makefile
  head/textproc/hs-case-insensitive/Makefile
  head/textproc/hs-case-insensitive/distinfo
  head/textproc/hs-cassava/Makefile
  head/textproc/hs-cassava/distinfo
  head/textproc/hs-cmark/Makefile
  head/textproc/hs-cmark/distinfo
  head/textproc/hs-cmark-gfm/
  head/textproc/hs-cmark-gfm/Makefile
  head/textproc/hs-cmark-gfm/distinfo
  head/textproc/hs-cmark-gfm/pkg-descr
  head/textproc/hs-csv/Makefile
  head/textproc/hs-doctemplates/Makefile
  head/textproc/hs-doctemplates/distinfo
  head/textproc/hs-double-conversion/Makefile
  head/textproc/hs-double-conversion/files/
  head/textproc/hs-feed/Makefile
  head/textproc/hs-feed/distinfo
  head/textproc/hs-feed/files/
  head/textproc/hs-feed/files/patch-feed.cabal
  head/textproc/hs-hexpat/Makefile
  head/textproc/hs-highlighting-kate/Makefile
  head/textproc/hs-hs-bibutils/Makefile
  head/textproc/hs-hs-bibutils/distinfo
  head/textproc/hs-html/Makefile
  head/textproc/hs-html-conduit/Makefile
  head/textproc/hs-html-conduit/distinfo
  head/textproc/hs-html-conduit/files/
  head/textproc/hs-hxt/Makefile
  head/textproc/hs-hxt-charproperties/Makefile
  head/textproc/hs-hxt-regex-xmlschema/Makefile
  head/textproc/hs-hxt-unicode/Makefile
  head/textproc/hs-lhs2tex/Makefile
  head/textproc/hs-lhs2tex/distinfo
  head/textproc/hs-lhs2tex/files/patch-Setup.hs
  head/textproc/hs-lhs2tex/files/patch-src_Document.lhs
  head/textproc/hs-lhs2tex/files/patch-src_Main.lhs
  head/textproc/hs-lhs2tex/files/patch-src_Math.lhs
  head/textproc/hs-lhs2tex/files/patch-src_MathPoly.lhs
  head/textproc/hs-lhs2tex/files/patch-src_NewCode.lhs
  head/textproc/hs-lhs2tex/files/patch-src_Typewriter.lhs
  head/textproc/hs-lhs2tex/files/patch-src_Verbatim.lhs
  head/textproc/hs-libxml/Makefile
  head/textproc/hs-libxml-sax/Makefile
  head/textproc/hs-magic/Makefile
  head/textproc/hs-pandoc/Makefile
  head/textproc/hs-pandoc/distinfo
  head/textproc/hs-pandoc/files/
  head/textproc/hs-pandoc-citeproc/Makefile
  head/textproc/hs-pandoc-citeproc/distinfo
  head/textproc/hs-pandoc-citeproc/files/
  head/textproc/hs-pandoc-types/Makefile
  head/textproc/hs-pandoc-types/distinfo
  head/textproc/hs-pandoc-types/files/
  head/textproc/hs-parsec/
  head/textproc/hs-polyparse/Makefile
  head/textproc/hs-pretty-show/Makefile
  head/textproc/hs-pretty-show/distinfo
  head/textproc/hs-regex-applicative/Makefile
  head/textproc/hs-regex-base/Makefile
  head/textproc/hs-regex-compat/Makefile
  head/textproc/hs-regex-compat-tdfa/Makefile
  head/textproc/hs-regex-pcre/Makefile
  head/textproc/hs-regex-pcre-builtin/Makefile
  head/textproc/hs-regex-posix/Makefile
  head/textproc/hs-regex-tdfa/Makefile
  head/textproc/hs-regex-tdfa/distinfo
  head/textproc/hs-rfc5051/Makefile
  head/textproc/hs-scanner/Makefile
  head/textproc/hs-skylighting/Makefile
  head/textproc/hs-skylighting/distinfo
  head/textproc/hs-skylighting-core/
  head/textproc/hs-skylighting-core/Makefile
  head/textproc/hs-skylighting-core/distinfo
  head/textproc/hs-skylighting-core/pkg-descr
  head/textproc/hs-stringsearch/Makefile
  head/textproc/hs-tagsoup/Makefile
  head/textproc/hs-tagsoup/distinfo
  head/textproc/hs-tagstream-conduit/Makefile
  head/textproc/hs-texmath/Makefile
  head/textproc/hs-texmath/distinfo
  head/textproc/hs-texmath/files/
  head/textproc/hs-uri/Makefile
  head/textproc/hs-uri-bytestring/Makefile
  head/textproc/hs-uri-bytestring/distinfo
  head/textproc/hs-uri-bytestring/files/
  head/textproc/hs-uri-bytestring/files/patch-uri-bytestring.cabal
  head/textproc/hs-uri-bytestring-aeson/Makefile
  head/textproc/hs-uri-bytestring-aeson/distinfo
  head/textproc/hs-uri-encode/
  head/textproc/hs-uri-encode/Makefile
  head/textproc/hs-uri-encode/distinfo
  head/textproc/hs-uri-encode/pkg-descr
  head/textproc/hs-xml/Makefile
  head/textproc/hs-xml-conduit/Makefile
  head/textproc/hs-xml-conduit/distinfo
  head/textproc/hs-xml-hamlet/Makefile
  head/textproc/hs-xml-hamlet/distinfo
  head/textproc/hs-xml-hamlet/files/
  head/textproc/hs-xml-types/Makefile
  head/textproc/hs-xmlhtml/Makefile
  head/textproc/hs-xmlhtml/distinfo
  head/textproc/hs-xmlhtml/files/patch-src_Text_Blaze_Renderer_XmlHtml.hs
  head/textproc/hs-xmlhtml/files/patch-xmlhtml.cabal
  head/textproc/hs-yaml/Makefile
  head/textproc/hs-yaml/distinfo
  head/www/hs-DAV/Makefile
  head/www/hs-DAV/distinfo
  head/www/hs-HTTP/Makefile
  head/www/hs-HTTP/distinfo
  head/www/hs-activehs/Makefile
  head/www/hs-authenticate/Makefile
  head/www/hs-authenticate/distinfo
  head/www/hs-cgi/Makefile
  head/www/hs-cgi/files/
  head/www/hs-cgi/files/patch-cgi.cabal
  head/www/hs-cookie/Makefile
  head/www/hs-cookie/distinfo
  head/www/hs-css-text/Makefile
  head/www/hs-css-text/distinfo
  head/www/hs-fastcgi/Makefile
  head/www/hs-gitit/Makefile
  head/www/hs-hS3/Makefile
  head/www/hs-happstack/Makefile
  head/www/hs-happstack-server/Makefile
  head/www/hs-happstack-server/distinfo
  head/www/hs-heist/Makefile
  head/www/hs-heist/distinfo
  head/www/hs-heist/files/
  head/www/hs-hjsmin/Makefile
  head/www/hs-http-api-data/Makefile
  head/www/hs-http-api-data/distinfo
  head/www/hs-http-client/Makefile
  head/www/hs-http-client/distinfo
  head/www/hs-http-client-tls/Makefile
  head/www/hs-http-conduit/Makefile
  head/www/hs-http-conduit/distinfo
  head/www/hs-http-date/Makefile
  head/www/hs-http-reverse-proxy/Makefile
  head/www/hs-http-reverse-proxy/distinfo
  head/www/hs-http-server/Makefile
  head/www/hs-http-types/Makefile
  head/www/hs-http-types/distinfo
  head/www/hs-http2/Makefile
  head/www/hs-multipart/Makefile
  head/www/hs-oeis/Makefile
  head/www/hs-path-pieces/Makefile
  head/www/hs-recaptcha/Makefile
  head/www/hs-shakespeare/Makefile
  head/www/hs-shakespeare/distinfo
  head/www/hs-snap/Makefile
  head/www/hs-snap-core/Makefile
  head/www/hs-snap-core/distinfo
  head/www/hs-snap-server/Makefile
  head/www/hs-snap-server/distinfo
  head/www/hs-url/Makefile
  head/www/hs-wai/Makefile
  head/www/hs-wai/distinfo
  head/www/hs-wai/files/
  head/www/hs-wai-app-static/Makefile
  head/www/hs-wai-app-static/distinfo
  head/www/hs-wai-extra/Makefile
  head/www/hs-wai-extra/distinfo
  head/www/hs-wai-logger/Makefile
  head/www/hs-wai-logger/distinfo
  head/www/hs-warp/Makefile
  head/www/hs-warp/distinfo
  head/www/hs-warp/files/
  head/www/hs-warp-tls/Makefile
  head/www/hs-webkit/Makefile
  head/www/hs-xss-sanitize/Makefile
  head/www/hs-yesod/Makefile
  head/www/hs-yesod/distinfo
  head/www/hs-yesod-auth/Makefile
  head/www/hs-yesod-auth/distinfo
  head/www/hs-yesod-auth-hashdb/Makefile
  head/www/hs-yesod-auth-hashdb/distinfo
  head/www/hs-yesod-bin/Makefile
  head/www/hs-yesod-core/Makefile
  head/www/hs-yesod-core/distinfo
  head/www/hs-yesod-form/Makefile
  head/www/hs-yesod-form/distinfo
  head/www/hs-yesod-persistent/Makefile
  head/www/hs-yesod-persistent/distinfo
  head/www/hs-yesod-persistent/files/
  head/www/hs-yesod-static/Makefile
  head/www/hs-yesod-static/distinfo
  head/www/hs-yesod-test/Makefile
  head/www/hs-yesod-test/distinfo
  head/x11/hs-X11/Makefile
  head/x11/hs-X11-xft/Makefile
  head/x11/hs-xmobar/Makefile
  head/x11/hs-xmobar/distinfo
  head/x11-toolkits/hs-GLURaw/Makefile
  head/x11-toolkits/hs-GLURaw/distinfo
  head/x11-toolkits/hs-GLUT/Makefile
  head/x11-toolkits/hs-OpenGL/Makefile
  head/x11-toolkits/hs-OpenGL/distinfo
  head/x11-toolkits/hs-OpenGLRaw/Makefile
  head/x11-toolkits/hs-OpenGLRaw/distinfo
  head/x11-toolkits/hs-gtk/Makefile
  head/x11-toolkits/hs-gtk/distinfo
  head/x11-toolkits/hs-gtk2hs/Makefile
  head/x11-toolkits/hs-gtksourceview2/Makefile
  head/x11-toolkits/hs-pango/Makefile
  head/x11-toolkits/hs-pango/distinfo
  head/x11-toolkits/hs-vte/Makefile
  head/x11-toolkits/hs-wx/Makefile
  head/x11-toolkits/hs-wxc/Makefile
  head/x11-toolkits/hs-wxcore/Makefile
  head/x11-toolkits/hs-wxdirect/Makefile
  head/x11-toolkits/hs-wxdirect/files/
  head/x11-toolkits/hs-wxdirect/files/patch-wxdirect.cabal
  head/x11-wm/hs-xmonad/Makefile
  head/x11-wm/hs-xmonad/files/
  head/x11-wm/hs-xmonad/files/patch-8.4.1-support
  head/x11-wm/hs-xmonad-contrib/Makefile
  head/x11-wm/hs-xmonad-contrib/files/
  head/x11-wm/hs-xmonad-contrib/files/patch-8.4.2-support
Comment 16 Gleb Popov freebsd_committer 2018-05-26 08:13:53 UTC
Thanks tcberner for committing this for me!